Search Groups

Search Groups
Get groups with specific criteria

This endpoint is responsible for fetching a list of groups with specific criteria. For more information, check the specification: https://tools.ietf.org/html/rfc7644#section-3.4.2.

Request
URI
GET
https://{api_host}/usergroup/t/{tenant}/scim/v2/Groups
COPY
Path Parameters
string
tenant
Required

The VMware Identity Services tenant ID

tenant example
my-tenant
Query Parameters
string
filter
Optional
Constraints: minLength: 0 maxLength: 2000

When specified, only those resources matching the filter expression SHALL be returned. Functionality based on SCIM 2.0 (https://tools.ietf.org/html/rfc7644#section-3.4.2.2).

string
sortBy
Optional

Specifies the attribute whose value. SHALL be used to order the returned responses. Functionality based on SCIM 2.0 (https://tools.ietf.org/html/rfc7644#section-3.4.2.3).

string
sortOrder
Optional

The order in which the sortBy parameter is applied. Allowed values are ascending and descending. Functionality based on SCIM 2.0 (https://tools.ietf.org/html/rfc7644#section-3.4.2.3).

integer
startIndex
Optional

The 1-based index of the first result in the current set of list results. Functionality based on SCIM 2.0 (https://tools.ietf.org/html/rfc7644#section-3.4.2.4).

integer
count
Optional

The number of resources returned in a list response. Functionality based on SCIM 2.0 (https://tools.ietf.org/html/rfc7644#section-3.4.2.4).

string
attributes
Optional

Return resources with only requested and always returned attributes. Functionality based on SCIM 2.0 (https://tools.ietf.org/html/rfc7644#section-3.4.2.5).

attributes example
name,meta
string
excludedAttributes
Optional

Return resources with all default and always returned attributes without excluded attributes. Functionality based on SCIM 2.0 (https://tools.ietf.org/html/rfc7644#section-3.4.2.5)

excludedAttributes example
name,meta

Authentication
This operation uses the following authentication methods.
Responses
200

Successfully fetched the list of groups.

Returns GroupListMedia of type(s) application/scim+json
{
    "resources": [
        {
            "members": [
                {
                    "value": "42dc6b2c-4517-4e88-b1a7-79a1a1f88b5b",
                    "$ref": "https://example.com/v2/User/42dc6b2c-4517-4e88-b1a7-79a1a1f88b5b",
                    "display": "Example User"
                }
            ],
            "displayName": "Example Group",
            "id": "string",
            "meta": {
                "location": "string",
                "version": "string",
                "lastModified": "string",
                "resourceType": "string",
                "created": "string"
            },
            "externalId": "string",
            "schemas": [
                "string"
            ]
        }
    ],
    "startIndex": 0,
    "totalResults": 0,
    "itemsPerPage": 0,
    "id": "string",
    "meta": {
        "location": "string",
        "version": "string",
        "lastModified": "string",
        "resourceType": "string",
        "created": "string"
    },
    "externalId": "string",
    "schemas": [
        "string"
    ]
}

400

The request contains invalid information.

Operation doesn't return any data structure

500

Unexpected error.

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/usergroup/t/{tenant}/scim/v2/Groups